# A program which manages Ubuntu-it's web test server
# Copyright (C) 2015-2016  Pietro Albini <pietroalbini@ubuntu.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; witout even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys
import os

# An hacky way to discover if we're inside a virtualenv
if not hasattr(sys, "real_prefix"):
    raise RuntimeError("You must use this inside a virtualenv")

_branch_dir = os.path.realpath(os.path.join(sys.prefix, ".."))


bind = "unix:%s/branch.sock" % (_branch_dir)
workers = 2


del sys, os, _branch_dir
