import setuptools


setuptools.setup(

    name = "managetests",
    version = "1",
    url = "http://www.ubuntu-it.org",

    license = "GNU-GPL v3",

    author = "Ubuntu-it website team",
    author_email = "gruppo-web@liste.ubuntu-it.org",

    description = "An application to manage our test instances",

    install_requires = [
        "flask",
        "click",
        "gunicorn",
        "requests",
    ],

    packages = [
        "managetests",
        "managetests.frontend",
    ],

    entry_points = {
        "console_scripts": [
            "managetests = managetests.__main__:cli",
        ],
    },

    include_package_data = True,
    zip_safe = False,

    classifiers = [
        "Not on PyPI"
    ],

)
